-- ud_116_20151105.sql 
-- ud_117_20151125.sql
-- 0156D0DF99D20F2486E5C39874DAB76A

CREATE INDEX USL_IDX_AGE ON USL (AGE);  @
CREATE INDEX USL_IDX_FIRST_SL ON USL (FIRST_SL);  @

DROP INDEX FYS_IDX_USL_DATE;  @
CREATE INDEX FYS_IDX_USL_DATE ON FYS (UROV, USL_CODE, DATE_1, DATE_2);  @

DROP INDEX TARIF_IDX1;  @
CREATE INDEX TARIF_IDX_MAIN ON TARIF (TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2);  @

CREATE INDEX DOP_TARIF_IDX_MAIN ON DOP_TARIF (MCOD, TIP, DATE_1, DATE_2); @

CREATE OR ALTER procedure DELETE_REPORT (
    ID_REPORT integer)
as
begin
  delete from SANK S
  where exists(select K.IDK
               from KARTA K
               where (K.IDK = S.IDK) and
                     (K.ID_REP = :ID_REPORT));  
  update KARTA K
  set K.ID_REP = null
  where (K.ID_REP = :ID_REPORT);  

  delete from REPORT R
  where R.ID_REP = :ID_REPORT;  
end;  @