-- ud_184_20180530.sql
-- 39F92065B065AE190A8E890B0CC37056

CREATE OR ALTER procedure DROP_KARTA (
    DID integer)
as
begin
  delete from KARTA_USL U
  where U.IDK = :DID; 

  delete from KARTA K
  where K.IDK = :DID; 

  delete from DS D
  where D.IDK = :DID; 

  delete from KARTA_RSLT R
  where R.IDK = :DID; 

  delete from KARTA_RISK R
  where R.IDK = :DID; 

  delete from KARTA_TO_TWO T
  where T.IDK = :DID; 

  delete from KARTA_NAZR R
  where R.IDK = :DID; 

  delete from P_KARTA_USL PU
  where PU.IDK = :DID; 

  delete from P_DS PD
  where PD.IDK = :DID; 

  delete from P_KARTA PK
  where PK.IDK = :DID;

  delete from sank s
  where s.idk=:DID;

  update karta k
  set k.hard_link=null
  where k.hard_link=:DID;
end;@

INSERT INTO UNIONDB (FILE_NAME, SQL_TEXT, IS_PARAMS, IS_LOAD)
             VALUES ('karta_nazr.xml', 'select K.* from KARTA_NAZR K inner join KARTA KR on KR.IDK = K.IDK where (KR.DATE_ENTER >= :D1) and (KR.DATE_ENTER <= :D2)', 1, 0);@
INSERT INTO UNIONDB (FILE_NAME, SQL_TEXT, IS_PARAMS, IS_LOAD)
             VALUES ('karta_nazr.xml', 'insert into KARTA_NAZR (IDK, NAZR, NAZ_SP, NAZ_V, NAZ_PMP, NAZ_PK) values (:IDK, :NAZR, :NAZ_SP, :NAZ_V, :NAZ_PMP, :NAZ_PK)', 1, 1);@

COMMIT WORK; @